Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class SynchronizedTestCase

    java.lang.Object
      org.picocontainer.behaviors.SynchronizedTestCase

Direct Known Subclasses:
  LockedTestCase

    public class SynchronizedTestCase

extends Object

Author:
  Thomas Heller, Aslak Hellesøy, Jörg Schaible

Nested Class Summary
`class` | `SynchronizedTestCase.Blocker`
`static class` | `SynchronizedTestCase.SlowCtor`

Constructor Summary
`SynchronizedTestCase()`

Method Summary
`protected org.picocontainer.BehaviorFactory` | `makeBehaviorFactory()`
`protected org.picocontainer.ComponentAdapter` | `makeComponentAdapter(org.picocontainer.ComponentAdapter componentAdapter)`
`void` | `testRaceConditionIsHandledBySynchronizedComponentAdapter()`
`void` | `testRaceConditionIsNotHandledWithoutSynchronizedComponentAdapter()`
`void` | `testSingletonCreationWithSynchronizedAdapterAndDoubleLocking()`
`void` | `testSingletonCreationWithSynchronizedAdapterOutside()`
`void` | `testSingletonCreationWithSynchronizedAdapterOutsideUsingFactory()`
`void` | `THIS_NATURALLY_FAILS_testSingletonCreationRace()`
`void` | `THIS_NATURALLY_FAILS_testSingletonCreationWithSynchronizedAdapter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedTestCase

    public SynchronizedTestCase()

Method Detail

### testRaceConditionIsHandledBySynchronizedComponentAdapter

    public void testRaceConditionIsHandledBySynchronizedComponentAdapter()
                                                                  throws InterruptedException

  Throws:
    `InterruptedException`

### makeComponentAdapter

    protected org.picocontainer.ComponentAdapter makeComponentAdapter(org.picocontainer.ComponentAdapter componentAdapter)

### testRaceConditionIsNotHandledWithoutSynchronizedComponentAdapter

    public void testRaceConditionIsNotHandledWithoutSynchronizedComponentAdapter()
                                                                          throws InterruptedException

  Throws:
    `InterruptedException`

### THIS_NATURALLY_FAILS_testSingletonCreationRace

    public void THIS_NATURALLY_FAILS_testSingletonCreationRace()
                                                        throws InterruptedException

  Throws:
    `InterruptedException`

### THIS_NATURALLY_FAILS_testSingletonCreationWithSynchronizedAdapter

    public void THIS_NATURALLY_FAILS_testSingletonCreationWithSynchronizedAdapter()
                                                                           throws InterruptedException

  Throws:
    `InterruptedException`

### testSingletonCreationWithSynchronizedAdapterAndDoubleLocking

    public void testSingletonCreationWithSynchronizedAdapterAndDoubleLocking()
                                                                      throws InterruptedException

  Throws:
    `InterruptedException`

### testSingletonCreationWithSynchronizedAdapterOutside

    public void testSingletonCreationWithSynchronizedAdapterOutside()
                                                             throws InterruptedException

  Throws:
    `InterruptedException`

### testSingletonCreationWithSynchronizedAdapterOutsideUsingFactory

    public void testSingletonCreationWithSynchronizedAdapterOutsideUsingFactory()
                                                                         throws InterruptedException

  Throws:
    `InterruptedException`

### makeBehaviorFactory

    protected org.picocontainer.BehaviorFactory makeBehaviorFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.